Bug 1023584 - cannot get autopart to run after a run through custom storage
cannot get autopart to run after a run through custom storage
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.0
All Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: David Lehman
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 16:22 EDT by David Lehman
Modified: 2014-06-17 21:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-19.31.45-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1023554
Environment:
Last Closed: 2014-06-13 05:44:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2013-10-25 16:22:09 EDT
+++ This bug was initially created as a clone of Bug #1023554 +++

Description of problem:
If you go through and create a layout in the custom spoke and then revisit storage and try to do autopart with reclaim it doesn't ever set the autopart flag.

Version-Release number of selected component (if applicable):
anaconda-19.31.30-1

How reproducible:
Always

Steps to Reproduce:
1. select one of two full disks, go to custom, clear it, autopart, save it
2. revisit storage, select both disks, choose to reclaim, delete all
3. click "Reclaim"

Actual results:
disks are reinitialized but autopart is not run

Expected results:
disks initialized and autopart run

Additional info:
Nothing is setting self.autopart to True in the storage spoke in this case
Comment 3 Ludek Smid 2014-06-13 05:44:40 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.